Get Project Dependencies

gethttps://app.fossa.com/api/v2/revisions/{locator}/dependencies

Get the dependencies for a given project revision

Path parameters

locatorstringrequired

Query parameters

locators[]string[]

Filter dependencies by locators (exact match)

titlestring

Filter dependencies by title

status[]enum[]

Filter dependencies by status

depth[]enum[]

Filter dependencies by depth

layerDepth[]enum[]

Filter dependencies by depth (for container projects)

hasIssues[]enum[]

Filter dependencies by the presence of issues

licenses[]string[]

Filter dependencies by licenses

fetchers[]string[]

Filter dependencies by package manager

showIgnoredboolean

Includes ignored dependencies

confidence[]enum[]

Filter dependencies by confidence

sources[]enum[]

Filter dependencies by source type (managed or vendored). Only supported on project scope.

rootProjects[]string[]

Filter release group dependencies by root projects

packageLabels[]string[]

Filter dependencies by package label IDs

vendoredPathstring

Filter to vendored dependencies found under this path prefix. Only supported on project scope.

includeResolutionNotesboolean

Include resolution notes in issue data

includeLicenseTextboolean

Include full license text in license data

includeCopyrightboolean

Include copyright information in license data

includeMatchesboolean

Include license match details in license data

includeDownloadUrlboolean

Include download URL in package data

pageinteger

The specific page of data to return

countinteger

The number of items to return in each page of results

Responses

200OK
dependenciesobject[]
locatorstring
titlestring
isManualboolean
isIgnoredboolean
isUnknownboolean
isSnippetConversionboolean
conclusionsobject
scopedobject
licensesstring[]
lastEditedBystring
updatedAtstring
baseobject
licensesstring[]
justificationstring
licensesstring[]
declaredLicensesstring[]
discoveredLicensesstring[]
licenseGroupsobject[]

The grouped licenses discovered for this dependency.

licenseGroupIdinteger
signaturestring
ignoredboolean
isDeclaredboolean
licensesobject[]
titlestring
licenseIdstring
ignoredboolean
urlstring | null
licenseGroupIdinteger
revisionLicenseIdinteger
projectCorrectionIdinteger | null
labelsobject[]

The package label assignments applied to this dependency.

idintegerrequired

The ID of the package label assignment.

createdAtstring <date-time>required

The date and time the package label assignment was created.

updatedAtstring <date-time>required

The date and time the package label assignment was last updated.

organizationIdintegerrequired

The ID of the organization that owns the package label assignment.

labelIdintegerrequired

The ID of the label that was assigned to the package.

packageIdstringrequired

The ID of the package that the label was assigned to.

packageVersionstring

The version of the package that the label was assigned to or null if the label was assigned to all versions.

scopeenumrequired

The scope of the package label assignment.

orgprojectrevision
scopeIdstringrequired

The ID of the scope that the label was assigned to or null if the label was assigned to all scopes.

namestringrequired

The name of the label that was assigned to the package.

depthinteger
originPathsstring[]
statusobject
errorstring
resolvedboolean
unsupportedboolean
analyzingboolean
issuesobject[]
idinteger
typestring
statusenum
activeignored
licensestring
cvssScorenumber
rootProjectsobject[]
titlestring
revisionstring
branchstring
conclusionsobject
scopedobject
licensesstring[]
lastEditedBystring
updatedAtstring
baseobject
licensesstring[]
justificationstring
layerDepthnumber
cpesstring[]
vendoredPathsstring[]
versionstring
totalinteger

The total number of dependencies matching the filters, across all pages.

401Unauthorized
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404NotFound
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/v2/revisions/%7Blocator%7D/dependencies
curl --request GET \  --url 'https://app.fossa.com/api/v2/revisions/%7Blocator%7D/dependencies' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

locatorstringrequired

Query params

locators[]array

Filter dependencies by locators (exact match)

titlestring

Filter dependencies by title

status[]array

Filter dependencies by status

depth[]array

Filter dependencies by depth

layerDepth[]array

Filter dependencies by depth (for container projects)

hasIssues[]array

Filter dependencies by the presence of issues

licenses[]array

Filter dependencies by licenses

fetchers[]array

Filter dependencies by package manager

showIgnoredboolean

Includes ignored dependencies

confidence[]array

Filter dependencies by confidence

sources[]array

Filter dependencies by source type (managed or vendored). Only supported on project scope.

rootProjects[]array

Filter release group dependencies by root projects

packageLabels[]array

Filter dependencies by package label IDs

vendoredPathstring

Filter to vendored dependencies found under this path prefix. Only supported on project scope.

includeResolutionNotesboolean

Include resolution notes in issue data

includeLicenseTextboolean

Include full license text in license data

includeCopyrightboolean

Include copyright information in license data

includeMatchesboolean

Include license match details in license data

includeDownloadUrlboolean

Include download URL in package data

pageinteger

The specific page of data to return

countinteger

The number of items to return in each page of results